# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.597   -> 1.598  
#	drivers/usb/core/usb.c	1.40    -> 1.41   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/08	greg@kroah.com	1.598
# USB
# 
# cleaned up the comments to put them in proper docbook format.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Mon Apr  8 15:49:06 2002
+++ b/drivers/usb/core/usb.c	Mon Apr  8 15:49:06 2002
@@ -196,14 +196,16 @@
 	usbfs_update_special();
 }
 
-/*
- * usb_ifnum_to_ifpos - convert the interface _number_ (as in interface.bInterfaceNumber)
- * to the interface _position_ (as in dev->actconfig->interface + position)
+/**
+ * usb_ifnum_to_ifpos - convert the interface number to the interface position
  * @dev: the device to use
  * @ifnum: the interface number (bInterfaceNumber); not interface position
  *
- * Note that the number is the same as the position for all interfaces _except_
- * devices with interfaces not sequentially numbered (e.g., 0, 2, 3, etc).
+ * This is used to convert the interface _number_ (as in
+ * interface.bInterfaceNumber) to the interface _position_ (as in
+ * dev->actconfig->interface + position).  Note that the number is the same as
+ * the position for all interfaces _except_ devices with interfaces not
+ * sequentially numbered (e.g., 0, 2, 3, etc).
  */
 int usb_ifnum_to_ifpos(struct usb_device *dev, unsigned ifnum)
 {
@@ -590,13 +592,14 @@
 	return -1;
 }
 
-/*
- * usb_find_interface_driver_for_ifnum - convert ifnum to ifpos via
- * usb_ifnum_to_ifpos and call usb_find_interface_driver().
+/**
+ * usb_find_interface_driver_for_ifnum - finds a usb interface driver for the specified ifnum
  * @dev: the device to use
  * @ifnum: the interface number (bInterfaceNumber); not interface position!
  *
- * Note usb_find_interface_driver's ifnum parameter is actually interface position.
+ * This converts a ifnum to ifpos via a call to usb_ifnum_to_ifpos and then
+ * calls usb_find_interface_driver() with the found ifpos.  Note
+ * usb_find_interface_driver's ifnum parameter is actually interface position.
  */
 int usb_find_interface_driver_for_ifnum(struct usb_device *dev, unsigned ifnum)
 {
